# Start Scans

> Start scanning a list of price-checked scans.

<RequestExample>

```bash title="cURL" icon="terminal"
curl --request PATCH \
  --url https://api.copyleaks.com/v3/scans/start \
  --header 'Authorization: Bearer YOUR_LOGIN_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "trigger": ["Your-scan-id-1", "Your-scan-id-2"],
    "errorHandling": 0
  }'
```

```python title="Python" icon="python"
from copyleaks.copyleaks import Copyleaks
from copyleaks.models.start import Start, StartErrorHandling

auth_token = Copyleaks.login("your@email.address", "YOUR_API_KEY")

start = Start()
start.set_trigger(["Your-scan-id-1", "Your-scan-id-2"])
start.set_error_handling(StartErrorHandling.CANCEL)

Copyleaks.start(auth_token, start)
```

</RequestExample>

<ResponseExample>

```json 200 OK
{
  "success": ["Your-scan-id"],
  "failed": []
}
```

</ResponseExample>

Start scanning all the files you submitted for a price-check.

<Warning>
**Authentication Required.** You need to login with a user and API key in order to access this method. Add this HTTP header to your request:

**Authorization: Bearer &lt;Your-Login-Token&gt;**
</Warning>

## Request

### Headers

```http
Content-Type: application/json
Authorization: Bearer YOUR_LOGIN_TOKEN
```

### Request Body

The request body is a JSON object containing the scans to start.

<ParamField body="trigger" type="array<string>" required>
  A list of scans that you submitted for a check-credits scan and that you would like to submit for a full scan.

      This array can scan up to 100 submissions.

      Example: `[ "Your-scan-id-1", "Your-scan-id-2" ]`
</ParamField>
<ParamField body="errorHandling" type="integer" default="0">
  When set to ignore (ignore = 1) the trigger scans will start running even if some of them are in error mode, when set to cancel (cancel = 0) the request will be cancelled if any error was found. Possible Values: 0 (Cancel), 1 (Ignore).

      Possible Values:

      - **0** : Cancel
      - **1** : Ignore
</ParamField>

## Responses

<Tabs>
  <Tab title="200">
    <Check>**200 OK** - The command was executed.</Check>

    ```json
    {
      "success": ["Your-scan-id"],
      "failed": []
    }
    ```
  </Tab>
  <Tab title="400">
    <Warning>**400 Bad Request** - Bad request.</Warning>
  </Tab>
  <Tab title="401">
    <Warning>**401 Unauthorized** - Authorization has been denied for this request.</Warning>
  </Tab>
</Tabs>
